VisualEditor: Auto-hide "You've entered wikimarkup" warning when the user has removed the markup
Closed, ResolvedPublic

Description

At the moment wikimarkup being entered into the VE triggers a notice warning the user that it won't work - this notice then has to be actively dismissed. It'd be nice if, should the user remove the problematic markup, the notice would vanish.

I'm popping this in as a low-priority enhancement: I appreciate the VE team has active breakage to focus on.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=52386
https://bugzilla.wikimedia.org/show_bug.cgi?id=70168

bzimport set Reference to bz51701.
Ironholds created this task.Via LegacyJul 19 2013, 8:30 PM
Ironholds added a comment.Via ConduitAug 1 2013, 6:28 PM

*** Bug 52155 has been marked as a duplicate of this bug. ***

Thryduulf added a comment.Via ConduitAug 6 2013, 6:01 PM

The popup should also be closed automatically after the "save page" button has been pressed. At that point it's clear that the user is not going to remove any markup that still remains (for whatever reason) so the notice serves no other purpose and just gets in the way of the edit summary dialog.

Deskana added a comment.Via ConduitOct 2 2013, 2:34 PM

(In reply to comment #2)

The popup should also be closed automatically after the "save page" button
has
been pressed. At that point it's clear that the user is not going to remove
any
markup that still remains (for whatever reason) so the notice serves no other
purpose and just gets in the way of the edit summary dialog.

There's an issue with this though, in that the popup hovers over the 'Save page' button so I couldn't actually click 'Save page' very easily. It wasn't at all clear to me that clicking anywhere on the popup would close it.

Thryduulf added a comment.Via ConduitOct 2 2013, 3:22 PM

(In reply to comment #3)

There's an issue with this though, in that the popup hovers over the 'Save
page' button so I couldn't actually click 'Save page' very easily. It wasn't
at
all clear to me that clicking anywhere on the popup would close it.

You aren't the first person to say that - see bug 52386

gerritbot added a comment.Via ConduitJan 30 2014, 1:36 AM

Change 110295 had a related patch set uploaded by Alex Monk:
Hide wikitext warning notification when the user removes the markup

https://gerrit.wikimedia.org/r/110295

gerritbot added a comment.Via ConduitFeb 7 2014, 10:54 PM

Change 110295 merged by jenkins-bot:
Hide wikitext warning notification when the user removes the markup

https://gerrit.wikimedia.org/r/110295

Krenair added a comment.Via ConduitFeb 7 2014, 11:22 PM

That area of code could do with some rethinking, but this is basically done.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.